Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

ScummVM 2.1.0



  • @GeekOB once you confirm it working, I'll send a PR to update the version. Then soon the binary should be updated from there.



  • @hhromic I can confirm branch-2-1 compiled and installed succesfully on RetroPie 4.5.1
    So far Blade Runner, Versailles 1685, Codename: Iceman and Broken Sword 1 run properly.
    I'll continue to test more games but I think it's a good idea to consider updating the binary.



  • @GeekOB thanks for all the testing, appreciated!

    I sent a PR now to RetroPie for updating ScummVM: https://github.com/RetroPie/RetroPie-Setup/pull/2873

    Note that after merged, you have to wait a bit more for the binary to be updated manually in the repository. The more feedback you give on testing games the faster we can update the binary. Cheers!



  • Thanks @hhromic . I'm curious, why is branch-2-1 the right one and not branch-2-1-0? I thought the stable one was the best choice? What's the difference/impact for the RetroPie project?


  • Global Moderator

    @GeekOB I'm not 100% sure, but 2.1 could mean it's a 'rolling stable' branch, which will include all the fixes in the 2.1.x series, while 2-1-0 is just for that particular version/release. So if any 2.1.x version is released, with fixes or improvements, you'll get that version automatically and you don't have to switch to the 2-1-x branch to reach that version.



  • @GeekOB what @mitu said :)

    As you can see in the branches status on GitHub, 2-1 actively fixes bugs for 2.1, while 2-1-0 is a point release.

    9f238a92-5185-4f19-8a31-5d08065992c1-image.png

    Also, is the branching model that the scriptmodule used before, i.e. 2-0 :)



  • Thanks for the clarification @mitu and @hhromic , crystal clear now!
    Just waiting for the binary to be updated :)


  • administrators

    I have built them but haven't uploaded yet. You can build from source in the meantime :-)



  • Thanks for the heads up @BuZz . Can you post here when it's been uploaded?


  • administrators

    @GeekOB uploaded. had to rebuild the sdl1 binary also (I forgot about that).



  • @hhromic So no libretro dev wants to do the task to port this new version over? I miss using the crt-pi shader with scummvm.



  • Confirmed, @BuZz . Thank you!

    The ScummVM development team has asked me to emphasize the following:

    1. This build is not 2.1.0, but build of the stable branch.
    2. This build is not official and not supported by the ScummVM team.


  • @BuZz thanks!

    @Darksavior good news!
    https://github.com/libretro/scummvm/pull/150

    @GeekOB great it worked for you now.
    Cheers!



  • Hi @buzz @mitu and @hhromic

    I updated ScummVM using the new binary which is displayed in the port as 2.1.1pre (Oct 15 2019) and I noticed one of the key new features for the 2.1.0 release, Cloud Saves, was missing from the main menu:
    ScummVM 2.1.1pre (Oct 15 2019).png

    I had seen it before when I compiled from source using branch-2-1-0, master and even branch-2-1. I tried compiling again using the official point release from branch-2-1-0 and the option appeared again:
    ScummVM 2.1.0.png

    I reached out to the ScummVM Project team and they told me branch-2-1 shouldn't be used for ports as it uses not well-tested features. Also, enabling all engines will enable the experimental ones and users may get wrong the impression that the games get registered, and then do not work. Basing a release port not on the release branch (branch-2-1-0) is very close with making it unpredictable as well because it is being slowly expanded, and version 2.1.1 may not even be released at all.

    The ScummVM devs offered their help to review, suggest needed fixes and improve the port to ensure it works as intended so everyone is happy :)
    You can reach their project lead at sev@scummvm.org

    I hope this is useful, as a fan of both ScummVM and RetroPie I want to help in making the user experience as good as possible and minimize annoying bugs for the devs to deal with.

    Thanks,



  • @GeekOB thanks for reaching out to ScummVM devs and finding out what branch we should be using.
    I guess the scriptmodule was using the wrong branch before as well (branch-2-0).

    So just to be clear, the officially endorsed branch to use for stable is branch-2-1-0 then?

    EDIT: I also noticed they have tags in their repository, e.g. v2.1.0. Could you kindly ask the developers what is preferred for checking out the source? the tag v2.1.0 or the branch branch-2-1-0? The tag and the branch are not in sync in the repository. Thanks!



  • Hey guys!

    I just wanted to say I also tried updating Scummvm to 2.1 on my Retropie via source and, for the most part, it seemed to work great except for two problems. The one small issue was that the game Beavis and Butthead will not longer load correctly. It is recognized by Scummvm just like before in the menu but when I go to launch it, it always kicks back to my main menu...

    The main problem is that the D-pad on my controller is not recognized anymore. To clarify, if I use any controller that has ONLY a D-pad and no analog sticks, the d-pad doesn't work. I have tried 3 different controllers and none worked. Interestingly though, any controller I tried WITH analog sticks worked perfectly well... Both the analog sticks and the D-pad!

    Any thoughts?


  • Global Moderator

    @liquidpolicenaut Which version of RetroPie are you using ? Which version of ScummVM are you using - SDL2 or SDL1 ?



  • @mitu Oh, sorry I forgot to mention! I'm running Retropie 4.3.11 and Scummvm 2.0.1 SDL2. Just as a side note...I also tried this on a newer Retropie build (4.4 something) and had the same results..


  • Global Moderator

    @liquidpolicenaut I'm on 4.5.1 and I'm also using the SDL2 version - but it's 2.1.0 (the version in this topic), not 2.0.1. I have no problem running Beavis and Butt-head in Virtual Stupidity with this version. Can't say much about the joystick part, since I don't use it to play ScummVM.

    Can you post a log file - /dev/shm/runcommand.log - from running the game, after it crashes ?



  • @mitu Sorry, I meant it was 2.1 that I'm running



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.